var ligaRedirect="";

function cancelarEncuesta233()
{
    $("#cancelarEncuesta233").html('<i class="fa fa-spin fa-spinner"></i> Cargando...');
    var url = '../controllers/Encuesta233Controller.php';
    var $datos='&opc='+$('#opc').val()+'&userId='+$('#userId').val()+'&nombreAlumno='+$('#nombreAlumno').val();
    $.post(url,$datos,
        function (data)
        {
            if(data.type==='success'){
                mostrarMensajeGuardado("Reintentar el ejercicio", "Se reintentará el ejercicio.", "success", "Aceptar")
            }
            else
            {
                mostrarMensajeGuardado("Reintentar el ejercicio", "No se reintentará el ejercicio.", "error", "Aceptar")
            }
            document.getElementById("cancelarEncuesta233").disabled=false;
            $('#cancelarEncuesta233').html('<i class="fa fa-recycle"></i>&nbsp;Reintentar Ejercicio');
            ligaRedirect ="https://tiempo-mandarina.org/encuesta2/controllers/Encuesta233Controller.php?userId="+data.userId+"&nombreAlumno="+data.nombreAlumno+"&opc="+data.opc;;
        }, 'json');
}

function pdfResultadoEncuesta233()
{
    $.ajax({
        url:"../controllers/Encuesta233Controller.php",
        // send the base64 post parameter
        data:{
            base64: radarChart.toBase64Image('image/png',1),
            opc:$('#opc2').val(),
            encuestaId: $('#encuestaId').val(),
            userId: $('#userId').val(),
            nombreAlumno: $('#nombreAlumno').val(),
        },
        // important POST method !
        type:"post",
        dataType: 'JSON',
    })
        .done(function( data, textStatus, jqXHR ) {
            window.open('https://tiempo-mandarina.org/encuesta2/views/resultadoencuesta233pdf.php?opc='+$('#opc').val()+'&userId='+$('#userId').val()+'&encuestaId='+$('#encuestaId').val()+'&nombreAlumno='+$('#nombreAlumno').val(),'_blank');
        });
}

function confirmarCancelacionEncuesta()
{
    Swal.fire({
        title: 'Reintentar el ejercicio',
        icon: 'warning',
        html:
            '<b class="text-primary">&iquest;Realmente deseas reintentar el ejercicio?</b><br><br>' +
            'Recuerda que <strong>no</strong> vas a poder visualizar el resultado del ejercicio que acabas de realizar.',
        showCancelButton: true,
        confirmButtonText: '<i class="fa fa-check"></i>&nbsp;Confirmar Reintento',
        confirmButtonColor: '#2A4494',
        cancelButtonText: '<i class="fa fa-close"></i>&nbsp;Cancelar',
    }).then((result) => {
        /* Read more about isConfirmed, isDenied below */
        if (result.isConfirmed) {
            cancelarEncuesta233();
        }
    })
}

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}